<?php
namespace Claromentis\Search\Application;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"] = (@$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"] ?: array()) + array("_bdf46cfa1aba0a" . "f38c9a9fa98dfd8" . "31b" => base64_decode("YXBwX3" . "B1Ymxp" . "c2g="), "_9f55fef472b7" . "41cb222ce4503" . "e90012a" => base64_decode("cHViX3Bh" . "Z2U="), "_1be4a86ec54058894c0dc8ee" . "b44bf65a" => base64_decode("Y29tbW9uLnR5cGUucHViX3BhZ2" . "Vz"), "_0c5123aa744f" . "69bbc0e8b3ea2" . "f6e847d" => base64_decode("bG1z" . "Zw=="));
use Claromentis\Search\ItemType;






class PublishApplication implements ApplicationInterface
{
    public function GetTypes()
    {
        return array($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_9f55fef472b741cb222ce4503e900" . "12a"] => function () {
            return new ItemType\PublishPage();
        });
    }
    public function GetName()
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_0c5123aa744f69bb" . "c0e8b3ea2f6e847d"]($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_1be4a86e" . "c54058894" . "c0dc8eeb4" . "4bf65a"]);
    }
    public function GetCode()
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_bdf46cfa1aba0af3" . "8c9a9fa98dfd831b"];
    }
}